%define name		x11-driver-video-nouveau
%define upname		xf86-video-nouveau
%define version		1.0.9
%define snapshot	0
%define rel		1

%if %{snapshot}
%define release %mkrel 5.%{snapshot}.%{rel}
%else
%define release %mkrel %{rel}
%endif

Summary:	Accelerated open source driver for NVIDIA cards
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/X11
License:	MIT
URL:		http://nouveau.freedesktop.org/
# rm -rf xf86-video-nouveau && git clone git://anongit.freedesktop.org/git/nouveau/xf86-video-nouveau/ && cd xf86-video-nouveau/
# git archive --prefix=xf86-video-nouveau-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../xf86-video-nouveau-$(date +%Y%m%d).tar.xz
%if %{snapshot}
Source0:	%{upname}-%{snapshot}.tar.xz
%else
#Source0:	http://nouveau.freedesktop.org/release/%{upname}-%{version}.tar.bz2
Source0:	http://xorg.freedesktop.org/releases/individual/driver/%{upname}-%{version}.tar.bz2
%endif

BuildRequires:	pkgconfig(libdrm_nouveau) >= 2.4.46
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-server-devel >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	GL-devel
BuildRequires:	udev-devel
Conflicts:	xorg-x11-server < 7.0
# No DKMS package for now; nouveau module is in main kernel.
# If needed, DKMS package may be resurrected, but work is needed to make it
# build with the new linux-2.6 tree of nouveau.
Obsoletes:	dkms-nouveau < 0.0.13-0.20090600
Requires:	kmod(nouveau)
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)
# No firmware needed:
Obsoletes:	nouveau-firmware < 20091212-2

%description
The nouveau project aims to build high-quality, open source drivers
for NVIDIA cards.

%prep
%if %{snapshot}
%setup -q -n %{upname}-%{snapshot}
%else
%setup -q -n %{upname}-%{version}
%endif
grep -q %{version} configure.ac

%build
%if %{snapshot}
autoreconf -v --install
%endif
%configure2_5x
%make

%install
%makeinstall_std

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/nouveau_drv.la
%{_libdir}/xorg/modules/drivers/nouveau_drv.so
%{_mandir}/man4/nouveau*


%changelog
* Tue Sep 24 2013 tmb <tmb> 1.0.9-1.mga3
+ Revision: 485708
- update to 1.0.9

* Mon Jan 14 2013 umeabot <umeabot> 1.0.6-2.mga3
+ Revision: 385998
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 tv <tv> 1.0.6-1.mga3
+ Revision: 340935
- new release
- new URL

* Fri Nov 09 2012 tv <tv> 1.0.4-1.mga3
+ Revision: 316709
- new release

* Wed Oct 24 2012 tv <tv> 1.0.3-1.mga3
+ Revision: 309623
- new release

* Thu Sep 13 2012 tv <tv> 1.0.2-1.mga3
+ Revision: 293444
- new release

* Mon Sep 10 2012 blino <blino> 1.0.1-5.20120910.1.mga3
+ Revision: 292078
- fix snapshot builds
- update to git snapshot of 20120910 for PRIME support (DRI2 offload + provider)

* Thu Sep 06 2012 tv <tv> 1.0.1-4.mga3.nonfree
+ Revision: 288995
- rebuild for new xserver
- rebuild for new xserver

* Thu Jul 19 2012 tmb <tmb> 1.0.1-3.mga3
+ Revision: 272400
- rebuild for new glibc

  + colin <colin>
    - Temporarily downgrade nouveau drm requirements
    - Rebuild against new (old) libdrm_nouveau

* Fri Jun 29 2012 colin <colin> 1.0.1-2.mga3
+ Revision: 264947
- Rebuild against new libudev major

* Tue Jun 19 2012 fwang <fwang> 1.0.1-1.mga3
+ Revision: 261916
- new version 1.0.1
- use offical tarball

* Mon Jun 18 2012 tv <tv> 1.0.0-1.mga3
+ Revision: 261812
- fix non snapshot build
- new release (1.0.0!!!)

* Wed Jun 06 2012 tmb <tmb> 0.0.16-1.20120530.3.mga3
+ Revision: 256444
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 0.0.16-1.20120530.2.mga3
+ Revision: 252967
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 0.0.16-0.20120530.1.mga3.nonfree
+ Revision: 250200
- new snapshot
- rebuild for new X.org server

* Sun Mar 25 2012 tmb <tmb> 0.0.16-0.20120322.1.mga2
+ Revision: 226208
- update to 2012-03-22, adds Kepler (GTX6xx) support

* Tue Dec 06 2011 tmb <tmb> 0.0.16-0.20111203.2.mga2
+ Revision: 177462
- submit to core/release

* Sat Dec 03 2011 anssi <anssi> 0.0.16-0.20111203.1.mga2
+ Revision: 175273
- new snapshot

* Sat Oct 08 2011 tv <tv> 0.0.16-0.20110303.5.mga2
+ Revision: 153303
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 0.0.16-0.20110303.4.mga2
+ Revision: 153088
- rebuild for xserver-1.11

* Sat Mar 05 2011 tmb <tmb> 0.0.16-0.20110303.3.mga1
+ Revision: 65083
- update to 2011-03-03 snapshot

* Fri Mar 04 2011 tv <tv> 0.0.16-0.20110107.2.mga1
+ Revision: 64446
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 0.0.16-0.20110107.1.mga1
+ Revision: 50637
- update to 2011-01-07 snapshot
- add P0: revert changes not supported by 2.6.37 series headers

  + blino <blino>
    - imported package x11-driver-video-nouveau


* Sun Nov 07 2010 Thierry Vignaud <tv@mandriva.org> 0.0.16-0.20100816.3mdv2011.0
+ Revision: 594705
- require x11-server-common in order to cheat poor env on kenobi which is 2010.x

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 0.0.16-0.20100816.2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Mon Aug 16 2010 Anssi Hannula <anssi@mandriva.org> 0.0.16-0.20100816.1mdv2011.0
+ Revision: 570270
- new snapshot

* Sat Jul 24 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.16-0.20100724.1mdv2011.0
+ Revision: 558115
- update to new snapshot 20100724
- bump version to 0.0.16
- add buildrequires on udev-devel

* Wed Mar 17 2010 Anssi Hannula <anssi@mandriva.org> 0.0.15-0.20100316.1mdv2010.1
+ Revision: 523326
- new snapshot
  o ABI change, this version will require a new kernel
    (e.g. main kernel 2.6.33.1-1mnb)
- bump libdrm requirement
- obsoletes nouveau-firmware, no longer used
- ensure version correctness in prep

* Sat Feb 06 2010 Anssi Hannula <anssi@mandriva.org> 0.0.15-0.20100206.1mdv2010.1
+ Revision: 501484
- bump buildrequires on libdrm-devel
- new snapshot
- drop unneeded configure options
- drop unneeded patches (dcbconf_7_4_ignore.patch, bgnr.patch,
  multiple-xserver.patch)

* Mon Dec 21 2009 Anssi Hannula <anssi@mandriva.org> 0.0.15-0.20091221.1mdv2010.1
+ Revision: 480929
- new snapshot
- update summary and description
- drop unapplied bicupic-2x.patch
- drop store-vbios.patch, we do not need to store bios
- remove BR on kernel-headers which is already required by glibc-devel

* Fri Dec 18 2009 Thomas Backlund <tmb@mandriva.org> 0.0.15-0.20091204.2mdv2010.1
+ Revision: 480016
- require nouveau-firmware (needed for 2.6.33 series kernels)

* Fri Dec 04 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.15-0.20091204.1mdv2010.1
+ Revision: 473511
- update to new snapshot 20091204
- bump version requires on libdrm to 2.4.16
- disable patch 3

* Sat Nov 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.15-0.20091111.1mdv2010.1
+ Revision: 466090
- revert to older commit, which does not need git version of libdrm
- update to new snapshot 20091108
- update to new snapshot 20091024
- provide better description

* Sat Sep 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.15-0.20090926.1mdv2010.0
+ Revision: 449543
- new snapshot 20090926
- Patch3: xv only use bicubic filtering when scaling >=2x
- Patch4: support multiple xserver instances

* Mon Sep 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.10-0.20090921.2mdv2010.0
+ Revision: 446868
- new snapshot 20090921

* Sun Sep 13 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.10-0.20090913.2mdv2010.0
+ Revision: 439019
- new snapshot 20090913

* Mon Sep 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.10-0.20090907.2mdv2010.0
+ Revision: 432857
- update to new snapshot 20090907
- add three patches from Fedora

* Sun Aug 09 2009 Anssi Hannula <anssi@mandriva.org> 0.0.10-0.20090809.1mdv2010.0
+ Revision: 412950
- new snapshot

* Sun Aug 02 2009 Anssi Hannula <anssi@mandriva.org> 0.0.10-0.20090803.1mdv2010.0
+ Revision: 407656
- new snapshot
- bump buildrequires on libdrm-devel

* Fri Jul 24 2009 Anssi Hannula <anssi@mandriva.org> 0-0.20090724.1mdv2010.0
+ Revision: 399516
- new snapshot
- bump buildrequires on libdrm-devel
- obsolete dkms-nouveau for now

* Sat May 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0-0.20090530.1mdv2010.0
+ Revision: 381352
- new snapshot

* Mon Mar 02 2009 Anssi Hannula <anssi@mandriva.org> 0-0.20090302.1mdv2009.1
+ Revision: 347411
- new snapshot
- drop format-string.patch, fixed upstream

* Sun Jan 11 2009 Anssi Hannula <anssi@mandriva.org> 0-0.20090111.1mdv2009.1
+ Revision: 328160
- new snapshot
- drop lcd bit patch, fixed upstream
- P0: fix format string

* Fri Sep 12 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080912.1mdv2009.0
+ Revision: 284259
- new snapshot

* Thu Jun 05 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080605.1mdv2009.0
+ Revision: 215170
- new snapshot
- do not force failure on those unknown LVDS bits that have been reported
  already

  + Thierry Vignaud <tv@mandriva.org>
    - improved description
    - add missing dot at end of description

* Fri May 09 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080509.1mdv2009.0
+ Revision: 204767
- new snapshot

* Thu May 01 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080501.1mdv2009.0
+ Revision: 199905
- new snapshot

* Tue Apr 15 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080415.1mdv2009.0
+ Revision: 193605
- new snapshot

* Sat Feb 23 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080223.1mdv2008.1
+ Revision: 174091
- new snapshot

* Tue Feb 05 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080205.1mdv2008.1
+ Revision: 162738
- new snapshot

* Sun Jan 20 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080120.1mdv2008.1
+ Revision: 155158
- new snapshot

* Fri Jan 11 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080111.1mdv2008.1
+ Revision: 148729
- new snapshot

* Wed Jan 02 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080102.1mdv2008.1
+ Revision: 140292
- new snapshot

* Tue Dec 25 2007 Anssi Hannula <anssi@mandriva.org> 0-0.20071224.1mdv2008.1
+ Revision: 137627
- initial Mandriva release

